package com.ruoyi.system.mapper_shate;

import com.ruoyi.system.domain_shate.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_shate.SeedingSuccessRate;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 9:43
 */
public interface SeedingSuccessMapper
{
        List<SeedingSuccessRate> sqlSeeding(@Param("zone") String zone,
                                            @Param("year") String year);

        Integer InsertSeeding1(SeedingSuccessRate eastVO);

        Integer InsertSeeding2(SeedingSuccessRate eastVO);

        List<SeedingSuccessRate> sqlYear();

        Integer Delete(@Param("name") String name,
                       @Param("zone") String zone,
                       @Param("zone") String imageDate);
}
